## openssl 0.9.7e-4.osso2+3sarge3.osso4

=== debian/changelog ===
openssl (0.9.7e-4.osso2+3sarge3.osso4) unstable; urgency=low

  * Ahh, the same fix for 686 (last fixes 486 and 586)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Nov 2006 18:08:57 +0200

openssl (0.9.7e-4.osso2+3sarge3.osso3) unstable; urgency=low

  * Added 05noexestack-i386.dpatch, fixes lintian error

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Nov 2006 16:39:25 +0200

openssl (0.9.7e-4.osso2+3sarge3.osso2) unstable; urgency=low

  * Fixed build 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 15 Nov 2006 16:59:03 +0200

openssl (0.9.7e-4.osso2+3sarge3.osso1) unstable; urgency=low

  * updated upstream. Fixes: NB#42066, NB#41775

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  3 Oct 2006 12:06:13 +0300

openssl (0.9.7e-3sarge3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply patch to fix infinite loop / memory allocation denial of
    service due to mis-handling of error conditions on invalid ASN1
    data.  CVE-2006-2937
  * Apply patch to fix a buffer overflow in the SSL_get_shared_ciphers
    function.  CVE-2006-3738
  * Apply patch to fix a denial of service in the SSLv2 client code
    whereby a malicious server could cause a client to crash.
    CVE-2006-4343
  * Apply patch to correct a potential denial of service attack when
    parsing ASN1 data from untrusted sources.  Certain types of public
    key can take a disproportionate amount of time to process, allowing
    an attacker to exhaust system resources.  CVE-2006-2940

 -- Noah Meyerhans <noahm@debian.org>  Tue, 26 Sep 2006 17:36:05 -0400

openssl (0.9.7e-3sarge2) stable-security; urgency=low

  * Non-maintainer upload by the Security Team
  * Apply upstream patch to fix RSA Signature Forgery bug (CVE-2006-4339)

 -- Noah Meyerhans <noahm@debian.org>  Wed,  6 Sep 2006 12:19:57 -0400

openssl (0.9.7e-4.osso2+3sarge1.osso7) unstable; urgency=low

  * Fix DSA 1173-1. Fixes: NB#40098

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 11 Sep 2006 13:52:16 +0300

openssl (0.9.7e-4.osso2+3sarge1.osso6) unstable; urgency=low

  * Enable thumb build. Fixes: NB#36707

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 11 Aug 2006 16:13:23 +0300

openssl (0.9.7e-4.osso2+3sarge1.osso5) unstable; urgency=low

  * move dh_strip after dh_fixperms

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 14 Jun 2006 17:50:36 +0300

openssl (0.9.7e-4.osso2+3sarge1.osso4) unstable; urgency=low

  * armel support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 23 May 2006 20:26:40 +0300

openssl (0.9.7e-4.osso2+3sarge1.osso3) unstable; urgency=low

  * Removed documentation

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 May 2006 15:45:20 +0300

openssl (0.9.7e-4.osso1+3sarge1.osso3) unstable; urgency=low

  * Make version upper than 0.9.7e-4.osso1 which in repository
  * Added load-cert patch

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 May 2006 13:35:09 +0300

openssl (0.9.7e-4.3sarge1.osso2) unstable; urgency=low

  * Added po-debconf build dependence

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 20 Mar 2006 10:51:02 +0200

openssl (0.9.7e-4.3sarge1.osso1) unstable; urgency=low

  * Apllied osso patches
  * Fixed version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Mar 2006 17:46:45 +0200

openssl (0.9.7e-4.osso1) unstable; urgency=low

  * Applied perlpath fix
  * --no-err to Configure for less memory usage

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 13 Apr 2005 14:18:39 +0300

openssl (0.9.7e-3sarge1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied upstream patch to remove SSLv2 fallback in order to fix a
    possibility to use a weaker protocol version [ssl/s23_srvr.c,
    CVE-2005-2969]

 -- Martin Schulze <joey@infodrom.org>  Thu, 20 Oct 2005 07:31:45 +0200

openssl (0.9.7e-3) unstable; urgency=high

  * really fix der_chop. The fix from -1 was not really included (closes:
    #281212) 
  * still fixes security problem CAN-2004-0975 etc.
    - tempfile raise condition in der_chop
    - Avoid a race condition when CRLs are checked in a multi threaded 
      environment.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 16 Dec 2004 18:41:29 +0100

openssl (0.9.7e-2) unstable; urgency=high

  * fix perl path in der_chop and c_rehash (closes: #281212)
  * still fixes security problem CAN-2004-0975 etc.
    - tempfile raise condition in der_chop
    - Avoid a race condition when CRLs are checked in a multi threaded 
      environment.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 14 Nov 2004 20:16:21 +0100

openssl (0.9.7e-1) unstable; urgency=high

  * SECURITY UPDATE: fix insecure temporary file handling
  * apps/der_chop: 
    - replaced $$-style creation of temporary files with
      File::Temp::tempfile()
    - removed unused temporary file name in do_certificate()
  * References:
    CAN-2004-0975 (closes: #278260)
  * fix ASN1_STRING_to_UTF8 with UTF8 (closes: #260357)
  * New upstream release with security fixes
    - Avoid a race condition when CRLs are checked in a multi threaded 
      environment.
    - Various fixes to s3_pkt.c so alerts are sent properly.
    - Reduce the chances of duplicate issuer name and serial numbers (in
      violation of RFC3280) using the OpenSSL certificate creation
      utilities. 
  * depends openssl on perl-base instead of perl (closes: #280225)
  * support powerpc64 in Configure (closes: #275224)
  * include cs translation (closes: #273517)
  * include nl translation (closes: #272479)
  * Fix default dir of c_rehash (closes: #253126)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 12 Nov 2004 14:11:15 +0100

openssl (0.9.7d-5) unstable; urgency=low

  * Make S/MIME encrypt work again (backport from CVS) (closes: #241407,
    #241386)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 26 Jul 2004 17:22:42 +0200

openssl (0.9.7d-4) unstable; urgency=low


