=== debian/changelog ===
openssl (0.9.7e-4.osso2+3sarge3.osso5) unstable; urgency=low

  * Produce debug package. Fixes: NB#40809 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 30 Nov 2006 19:21:04 +0200
