=== debian/control ===
--- 
+++ 
@@ -58,3 +58,10 @@
  libssl and libcrypt development libraries, header files and manpages
  .
  It is part of the OpenSSL implementation of SSL.
+
+Package: libssl0.9.7-dbg
+Section: libdevel
+Priority: optional
+Architecture: any
+Depends: libssl0.9.7 (= ${Source-Version})
+Description: SSL library debug symbols
