=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,14 @@
 # For generating the manpages
 export VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/^.*://' -e 's/-.*//')
 
+# for debug symbol package
+CFLAGS += -g
+
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
-	export CFLAGS
 endif
+export CFLAGS
 
 # The binary architeture
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -164,7 +167,7 @@
 	dh_compress
 	chmod 700 debian/openssl/etc/ssl/private
 	dh_fixperms -X etc/ssl/private
-	dh_strip
+	dh_strip --dbg-package=libssl0.9.7
 	dh_perl -d
 #	dh_suidregister
 	dh_shlibdeps -l`pwd` -Xlibssl.so
