=== debian/watch ===
version=2
ftp://ftp.openssl.org/source/openssl-(([\d+\.]+|\d+)[a-z]?)\.tar\.gz debian uupdate
