## openssl 0.9.7e-4.osso2+3sarge3.osso6

=== debian/changelog ===
openssl (0.9.7e-4.osso2+3sarge3.osso6) unstable; urgency=low

  * 06SMIME_read_PKCS7.dpatch added. Fixes: NB#73408

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 05 Nov 2007 18:27:06 +0200
